@import '../../node_modules/normalize-scss';
@import 'fonts';
@import 'vars';
@import 'breakpoints';

* {
  box-sizing: border-box;
}

body {
  position: relative;
  overflow: auto;
  min-width: var(--min-width);
  width: 100%;
  min-height: 100vh;
  margin: 0;
  padding: 0;
  background-color: var(--body-bg-color-primary);
  font-family: var(--font-family-global);
  font-weight: 400;
  font-size: 10px;
  font-style: normal;
  color: var(--font-primary-color);
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  -webkit-hyphens: auto;
  -ms-hyphens: auto;
  hyphens: auto;
}

header {
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  transition: top var(--transition);
  z-index: 11;
}

img,
video,
svg {
  display: block;
  max-width: 100%;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
  color: inherit;
  line-height: 1.2;
  overflow: hidden;
  text-overflow: ellipsis;
}

p {
  margin: 0;
  color: inherit;
  line-height: 1.5;
  overflow: hidden;
  text-overflow: ellipsis;
}

ul {
  margin: 0;
  padding: 0;
}

li {
  list-style: none;
  color: inherit;
  overflow: hidden;
  text-overflow: ellipsis;
}

a {
  text-decoration: none;
  color: inherit;
}

button,
input {
  font-family: inherit;
  color: inherit;
}

::-webkit-scrollbar {
  width: 12px;
}

::-webkit-scrollbar-track {
  background: var(--scrollbar-track-bg-color);
  margin-top: 0;
  margin-bottom: 0;
}

::-webkit-scrollbar-thumb {
  background-color: var(--scrollbar-thumb-bg-color);
  border: 4px solid var(--scrollbar-thumb-border-color);
  border-radius: 20px;
}
